Get Bus Routes Endpoint
Retrieves the bus routes available on Syticks. It can also be customized to filter out exact information using query parameters.
Query parameters
from_city_idintegerOptional
Filter routes departing from a specific city by its unique ID.
to_city_idintegerOptional
Filter routes arriving in a specific city by its unique ID.
pricestringOptional
Filter routes by price. You can specify a range using commas (e.g., price=100,200).
business_idintegerOptional
Filter routes by a specific business offering the route (e.g., bus company).
Responses
200
List of bus routes.
application/json
successbooleanOptionalExample:
Indicates whether the request was successful.
truestatusintegerOptionalExample:
HTTP status code representing the response status.
200messagestringOptionalExample:
Human-readable description of the response.
List of bus routes400
Bad request due to invalid input.
500
Server error.
get
/api/v1/merpi/transport/routesLast updated